Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0012050
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2010-01-23 11:082010-03-16 08:41
ReportericiordiaView Statuspublic 
Assigned Toshuehner 
PriorityurgentResolutionfixedFixed in Version2.50MP14
StatusclosedFix in branchpiFixed in SCM revision2ced9cf5fb93
ProjectionnoneETAnoneTarget Version2.50MP14
OSAnyDatabaseAnyJava versionany
OS VersionanyDatabase versionanyAnt versionany
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0012050: Dataset names should only use ascii characters

DescriptionDatasets names are used to create the xml file where that data will be exported. So it should not include international characters, only ascii characters should be allowed
Proposed SolutionAdd a validation in the dataset table
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00126912.50MP17 closedshuehner Export dataset should fail with non ASCII characters in dataset name 

-  Notes
(0025289)
hgbot (developer)
2010-03-12 12:47

Repository: erp/devel/pi
Changeset: 2ced9cf5fb93ed7a65b059d663d70c8b21d304c5
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Fri Mar 12 12:53:43 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/2ced9cf5fb93ed7a65b059d663d70c8b21d304c5 [^]

Fixed 12050: Validate dataset names to not contain special characters.
As the dataset name is directly used to create the xml-file name.

---
M src/org/openbravo/service/system/DatabaseValidator.java
M src/org/openbravo/service/system/SystemValidationResult.java
---
(0025290)
hgbot (developer)
2010-03-12 13:07

Repository: erp/devel/pi
Changeset: e6ff1e964bd7a076f79940da49a96469313ff1b3
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Fri Mar 12 13:13:33 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e6ff1e964bd7a076f79940da49a96469313ff1b3 [^]

Issue 12050: Improve error message text

---
M src/org/openbravo/service/system/DatabaseValidator.java
---
(0025499)
iperdomo (developer)
2010-03-15 22:29

Tested on pi @ rev 1232be2520b1
(0025509)
hudsonbot (developer)
2010-03-16 08:41

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/2ced9cf5fb93 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/3e52c5b52d67 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.16713.obx [^]
(0025510)
hudsonbot (developer)
2010-03-16 08:41

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/e6ff1e964bd7 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/3e52c5b52d67 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.16713.obx [^]

- Issue History
Date Modified Username Field Change
2010-01-23 11:08 iciordia New Issue
2010-01-23 11:08 iciordia Assigned To => shuehner
2010-01-25 08:12 alostale Status new => scheduled
2010-01-25 08:12 alostale fix_in_branch => pi
2010-03-08 16:06 jpabloae Target Version 2.50MP13 => 2.50MP14
2010-03-12 12:47 hgbot Checkin
2010-03-12 12:47 hgbot Note Added: 0025289
2010-03-12 12:47 hgbot Status scheduled => resolved
2010-03-12 12:47 hgbot Resolution open => fixed
2010-03-12 12:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2ced9cf5fb93ed7a65b059d663d70c8b21d304c5 [^]
2010-03-12 13:07 hgbot Checkin
2010-03-12 13:07 hgbot Note Added: 0025290
2010-03-15 22:28 iperdomo Relationship added related to 0012691
2010-03-15 22:29 iperdomo Note Added: 0025499
2010-03-15 22:29 iperdomo Status resolved => closed
2010-03-15 22:29 iperdomo Fixed in Version => 2.50MP14
2010-03-16 00:00 anonymous sf_bug_id 0 => 2970926
2010-03-16 08:41 hudsonbot Checkin
2010-03-16 08:41 hudsonbot Note Added: 0025509
2010-03-16 08:41 hudsonbot Checkin
2010-03-16 08:41 hudsonbot Note Added: 0025510


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker